You are not logged in.

#1 2016-07-07 22:54:05

BeeYork
Member
Registered: 2016-07-07
Posts: 2

FFmpeg version in the repos is older than what mpv was compiled with.

Title is pretty self explanatory.

[bee@thinkpad ~]$ mpv
Warning: mpv was compiled against a different version of ffmpeg than the shared
library it is linked against. This is most likely a broken build
and misbehavior and crashes are to be expected.
mpv 0.18.0 (C) 2000-2016 mpv/MPlayer/mplayer2 projects
 built on Tue Jul  5 21:58:17 CEST 2016
ffmpeg library versions:
   libavutil       55.28.100 (runtime 55.17.103)
   libavcodec      57.48.101 (runtime 57.24.102)
   libavformat     57.41.100 (runtime 57.25.100)
   libswscale      4.1.100 (runtime 4.0.100)
   libavfilter     6.47.100 (runtime 6.31.100)
   libswresample   2.1.100 (runtime 2.0.101)
ffmpeg version: 3.0.2

mpv version:  1:0.18.0-3

I hope this is the right place to post this, it seemed like the most appropriate sub.

Last edited by BeeYork (2016-07-07 23:11:21)

Offline

#2 2016-07-07 22:56:59

graysky
Wiki Maintainer
From: :wq
Registered: 2008-12-01
Posts: 10,621
Website

Re: FFmpeg version in the repos is older than what mpv was compiled with.

Check for bugs against mpv?  File a new one requesting a rebuild if it is needed in your opinion.


CPU-optimized Linux-ck packages @ Repo-ck  • AUR packagesZsh and other configs

Offline

#3 2016-07-07 22:58:08

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 29,871
Website

Re: FFmpeg version in the repos is older than what mpv was compiled with.

These versions are only in testing?  Should this be in the testing forum?


"UNIX is simple and coherent" - Dennis Ritchie; "GNU's Not Unix" - Richard Stallman

Offline

#4 2016-07-07 22:59:38

bstaletic
Member
Registered: 2014-02-02
Posts: 658

Re: FFmpeg version in the repos is older than what mpv was compiled with.

If you need mpv right now there are two options. Either downgrade ffmpeg, or rebuild mpv. Also, there could already be a new package for mpv. Check the repos, if not check the bug tracker. If this has not already been reported - report the bug. All in all, there should be a new revision bump for mpv.

Offline

#5 2016-07-07 23:00:00

BeeYork
Member
Registered: 2016-07-07
Posts: 2

Re: FFmpeg version in the repos is older than what mpv was compiled with.

Sorry 'bout that, just realized there was a sub for the testing repo. Could a mod maybe move this?
Also downgrading mpv from 1:0.18.0-3 => 1:0.18.0-1 worked fine. Looks like the FFmpeg version is older rather than newer. My intention wasn't to get help, rather just have this noticed by the repo maintainer.

Last edited by BeeYork (2016-07-07 23:10:56)

Offline

#6 2016-07-07 23:00:42

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 19,990

Re: FFmpeg version in the repos is older than what mpv was compiled with.

Moving.


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Sometimes it is the people no one can imagine anything of who do the things no one can imagine. -- Alan Turing
---
How to Ask Questions the Smart Way

Offline

#7 2016-07-07 23:52:36

eschwartz
Fellow
Registered: 2014-08-08
Posts: 4,097

Re: FFmpeg version in the repos is older than what mpv was compiled with.

BeeYork wrote:
ffmpeg library versions:
   libavutil       55.28.100 (runtime 55.17.103)
   libavcodec      57.48.101 (runtime 57.24.102)
   libavformat     57.41.100 (runtime 57.25.100)
   libswscale      4.1.100 (runtime 4.0.100)
   libavfilter     6.47.100 (runtime 6.31.100)
   libswresample   2.1.100 (runtime 2.0.101)
ffmpeg version: 3.0.2

mpv version:  1:0.18.0-3

Partial upgrades are unsupported.

...

Yes, even if you are running testing, you still can't do partial upgrades.

Do not run mpv from (community-)testing, compiled against ffmpeg from testing, running against ffmpeg from extra.

It literally is that simple.

Last edited by eschwartz (2016-07-07 23:53:56)


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

#8 2016-07-08 02:12:14

ngoonee
Forum Fellow
From: Between Thailand and Singapore
Registered: 2009-03-17
Posts: 7,356

Re: FFmpeg version in the repos is older than what mpv was compiled with.

Which begs the question, does OP have [community-testing] enabled but not [testing]?


Allan-Volunteer on the (topic being discussed) mailn lists. You never get the people who matters attention on the forums.
jasonwryan-Installing Arch is a measure of your literacy. Maintaining Arch is a measure of your diligence. Contributing to Arch is a measure of your competence.
Griemak-Bleeding edge, not bleeding flat. Edge denotes falls will occur from time to time. Bring your own parachute.

Offline

Board footer

Powered by FluxBB